/* ---------------------------------------------------------------------- */
/* Script generated with: DeZign for Databases 13.0.4                     */
/* Target DBMS:           PostgreSQL 14                                   */
/* Project file:          PGNorthwind.dez                                 */
/* Project name:          PGNorthwind                                     */
/* Author:                                                                */
/* Script type:           Database drop script                            */
/* Created on:            2023-10-22 11:48                                */
/* ---------------------------------------------------------------------- */


/* ---------------------------------------------------------------------- */
/* Drop foreign key constraints                                           */
/* ---------------------------------------------------------------------- */

ALTER TABLE northwind.customer_customer_demo DROP CONSTRAINT fk_customer_customer_demo_customer_demographics;

ALTER TABLE northwind.customer_customer_demo DROP CONSTRAINT fk_customer_customer_demo_customers;

ALTER TABLE northwind.employee_territories DROP CONSTRAINT fk_employee_territories_territories;

ALTER TABLE northwind.employee_territories DROP CONSTRAINT fk_employee_territories_employees;

ALTER TABLE northwind.employees DROP CONSTRAINT fk_employees_employees;

ALTER TABLE northwind.order_details DROP CONSTRAINT fk_order_details_products;

ALTER TABLE northwind.order_details DROP CONSTRAINT fk_order_details_orders;

ALTER TABLE northwind.orders DROP CONSTRAINT fk_orders_customers;

ALTER TABLE northwind.orders DROP CONSTRAINT fk_orders_employees;

ALTER TABLE northwind.orders DROP CONSTRAINT fk_orders_shippers;

ALTER TABLE northwind.products DROP CONSTRAINT fk_products_categories;

ALTER TABLE northwind.products DROP CONSTRAINT fk_products_suppliers;

ALTER TABLE northwind.territories DROP CONSTRAINT fk_territories_region;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.order_details"                                   */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.order_details DROP CONSTRAINT pk_order_details;

DROP TABLE northwind.order_details;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.products"                                        */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.products DROP CONSTRAINT pk_products;

DROP TABLE northwind.products;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.orders"                                          */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.orders DROP CONSTRAINT pk_orders;

DROP TABLE northwind.orders;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.employee_territories"                            */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.employee_territories DROP CONSTRAINT pk_employee_territories;

DROP TABLE northwind.employee_territories;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.customer_customer_demo"                          */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.customer_customer_demo DROP CONSTRAINT pk_customer_customer_demo;

DROP TABLE northwind.customer_customer_demo;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.us_states"                                       */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.us_states DROP CONSTRAINT pk_usstates;

DROP TABLE northwind.us_states;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.territories"                                     */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.territories DROP CONSTRAINT pk_territories;

DROP TABLE northwind.territories;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.suppliers"                                       */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.suppliers DROP CONSTRAINT pk_suppliers;

DROP TABLE northwind.suppliers;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.shippers"                                        */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.shippers DROP CONSTRAINT pk_shippers;

DROP TABLE northwind.shippers;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.region"                                          */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.region DROP CONSTRAINT pk_region;

DROP TABLE northwind.region;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.employees"                                       */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.employees DROP CONSTRAINT pk_employees;

DROP TABLE northwind.employees;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.customers"                                       */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.customers DROP CONSTRAINT pk_customers;

DROP TABLE northwind.customers;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.customer_demographics"                           */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.customer_demographics DROP CONSTRAINT pk_customer_demographics;

DROP TABLE northwind.customer_demographics;

/* ---------------------------------------------------------------------- */
/* Drop table "northwind.categories"                                      */
/* ---------------------------------------------------------------------- */

/* Drop constraints */

ALTER TABLE northwind.categories DROP CONSTRAINT pk_categories;

DROP TABLE northwind.categories;
